Skip to main content
`Ctrl`+`K`

# NEPConvergedReasonView

Displays the reason a `NEP` solve converged or diverged.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPConvergedReasonView(NEP nep,PetscViewer viewer)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- viewer - the viewer to display the reason

## Options Database Key

- -nep_converged_reason - print reason for convergence/divergence, and number of iterations

## Notes

Use `NEPConvergedReasonViewFromOptions()` to display the reason based on values in the options database.

To change the format of the output call `PetscViewerPushFormat()` before this call. Use `PETSC_VIEWER_DEFAULT` for the default, or `PETSC_VIEWER_FAILED` to only display a reason if it fails. The latter can be set in the command line with `-nep_converged_reason ::failed`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetConvergenceTest()`, `NEPSetTolerances()`, `NEPGetIterationNumber()`, `NEPConvergedReasonViewFromOptions()`

## Level

intermediate

## Location

src/nep/interface/nepview.c

## Examples

src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex54f.F90

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages